Document templates & integrations
Send Subject Document Template
Send subject document template. Requires company-wide document management access and enforces subject and field access in the effective organization.
POSThttps://api.toku.com/hris/send-subject-document-template
Not available to API keys yet. It will need documents:write.
curl --request POST \
--url 'https://api.toku.com/hris/send-subject-document-template' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subjectIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"versionNumber": 0,
"results": [
{
"subjectId": "string",
"status": "READY",
"issues": [
{
"code": "string",
"message": "string",
"key": "string",
"role": "recipient",
"suggestions": [
"string"
]
}
],
"instanceId": "string",
"correlationId": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
templateIdstring<uuid>requiredsubjectIdsstring<uuid>[]requiredAllowed: 1 to 25 items
requestIdstring<uuid>requiredResponse
200Successful response
versionNumberintegerrequiredresultsobject[]requiredAllowed: at most 25 items
Show child attributes
subjectIdstringrequiredstatusstringrequiredAvailable options: READY, BLOCKED, ACCEPTED, ALREADY_SENT, FAILED
issuesobject[]requiredAllowed: at most 1000 items
Show child attributes
codestringrequiredmessagestringrequiredkeystringrolestringAvailable options: recipient, company
suggestionsstring[]requiredAllowed: at most 3 items
instanceIdstring | nullrequiredcorrelationIdstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits